function [mean, stdev] = stat(x) 
% STAT Mean and standard deviation 
% For a vector x, stat(x) returns the mean of x; 
% [mean, stdev] = stat(x) both the mean and standard
% deviation. 
% For a matrix x, stat(x) acts columnwise. 
[m n] = size(x); 
if m == 1 
m = n; % handle case of a row vector 
end 
meanx = sum(x)/m; 
%FAUX : stdev = sqrt(sum((x-meanx).^2)./m); CORRIGE :
stdev = sqrt(sum((x-ones(size(x,1),1)*meanx).^2)./m); 
%FAUX : stdev = sqrt((sum(x.^2)/m)  meanx.^2);  CORRIGE (!!!)
stdev = sqrt(sum(x.^2)/m - meanx.^2)